using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Appication
{
    public interface IShipService
    {
        List<ShipResponModel> GetAllShip();

        ShipResponModel GetShipByShipCode(string ShipRegisterNo);

        List<ShipResponModel> GetShowDoc();

        void InsertShip(CreateShip x);

        void UpShip(UpdateShipModel x);

        void DeleteShip(int id);

    }
}
